# irrklang::SAudioStreamFormat Struct Reference

structure describing an audio stream format with helper functions More...

`#include <ik_SAudioStreamFormat.h>`

List of all members.

## Public Member Functions
ik_s32 | getSampleSize () const
| returns the size of a sample of the data described by the stream data in bytes
ik_s32 | getFrameSize () const
| returns the frame size of the stream data in bytes
ik_s32 | getSampleDataSize () const
| returns the size of the sample data in bytes
ik_s32 | getBytesPerSecond () const
| returns amount of bytes per second
## Public Attributes
ik_s32 | ChannelCount
| channels, 1 for mono, 2 for stereo
ik_s32 | FrameCount
| amount of frames in the sample data or stream.
ik_s32 | SampleRate
| samples per second
ESampleFormat | SampleFormat
| format of the sample data

## Detailed Description

structure describing an audio stream format with helper functions

## Member Function Documentation

ik_s32 irrklang::SAudioStreamFormat::getBytesPerSecond | ( |  | ) | const`[inline]`

returns amount of bytes per second

ik_s32 irrklang::SAudioStreamFormat::getFrameSize | ( |  | ) | const`[inline]`

returns the frame size of the stream data in bytes

ik_s32 irrklang::SAudioStreamFormat::getSampleDataSize | ( |  | ) | const`[inline]`

returns the size of the sample data in bytes

ik_s32 irrklang::SAudioStreamFormat::getSampleSize | ( |  | ) | const`[inline]`

returns the size of a sample of the data described by the stream data in bytes

## Member Data Documentation

ik_s32 irrklang::SAudioStreamFormat::ChannelCount

channels, 1 for mono, 2 for stereo

ik_s32 irrklang::SAudioStreamFormat::FrameCount

amount of frames in the sample data or stream.

If the stream has an unknown lenght, this is -1

ESampleFormat irrklang::SAudioStreamFormat::SampleFormat

format of the sample data

ik_s32 irrklang::SAudioStreamFormat::SampleRate

samples per second

The documentation for this struct was generated from the following file:

- ik_SAudioStreamFormat.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)